MKVINFO(1)

NAZWA
mkvinfo - Print information about elements in Matroska(TM) files

SZABLON LINII KOMEND

mkvinfo [opcje] {źródłowa-nazwa pliku}

OPIS

This program lists all elements contained in a Matroska(TM). The output can be limited to a list of tracks in the file including information about the codecs used.

-g, --gui
    Otwiera interfejs graficzny. Ta opcja jest dostępna tylko jeśli mkvinfo został skompilowany ze wsparciem dla GUI.

-c, --checksums
    Calculates and display the Adler32 checksum for each frame. Useful for debugging only.

-s, --summary
    Only show a terse summary of what mkvinfo(1) finds and not each element.

-t, --track-info
    Show statistics for each track in verbose mode. Also sets verbosity to 1 if it was at level 0 before.

-x, --hexdump
    Show the first 16 bytes of each frame as a hex dump.

-X, --full-hexdump
    Pokazuje wszystkie bajty każdej ramki jako zrzut w formacie hex.

-z, --size
    Show the size of each element including its header.

--command-line-charset zestaw-znaków
    Sets the character set to convert strings given on the command line from. It defaults to the character set given by system's current locale.

--output-charset zestaw-znaków
    Sets the character set to which strings are converted that are to be output. It defaults to the character set given by system's current locale.

-r, --redirect-output nazwa-pliku
    Zapisuje wszystkie powiadomienia do pliku nazwa-pliku zamiast do konsoli. Podczas kiedy może być to robione łatwo z przekierowaniem wyjścia, są przypadki kiedy ta opcja właśnie jest potrzebna: kiedy terminal ponownie interpretuje plik wyjściowy przed zapisaniem do pliku. Uznawany będzie zestaw znaków ustawiony z opcją --output-charset.

--ui-language kod
    Forces the translations for the language code to be used (e.g. 'de_DE' for the German translations). Entering 'list' as the code will cause the program to output a list of available translations.

--debug temat
    Włącza debugowanie dla konkretnej funkcji. Ta opcja jest użyteczna tylko dla deweloperów.

--engage funkcja
    Włącza eksperymentalne funkcjonalności. Lista dostepnych funkcjonalności jest dostępna po uruchomieniu komendy mkvinfo --engage list. Te funkcjonalności nie powinny być używane w normalnych sytuacjach.

--gui-mode
    Turns on GUI mode. In this mode specially-formatted lines may be output that can tell a controlling GUI what's happening. These messages follow the format '#GUI#message'. The message may be followed by key/value pairs as in '#GUI#message#key1=value1#key2=value2...'. Neither the messages nor the keys are ever translated and always output in English.

    This switch has nothing to do with the --gui parameter which causes mkvinfo to display its own GUI.

-v, --verbose
    Be more verbose. See the section about verbosity levels for a description which information will be output at which level.

-h, --help
    Pokazuje informacje o sposobie użycia opcji i zamyka się.

-V, --version
    Pokazuje informację o wersji i zamyka się.

--check-for-updates
    Checks online for new releases by downloading the URL http://mkvtoolnix-releases.bunkus.org/latest-release.xml. Four lines will be output in key=value style: the URL from where the information was retrieved (key version_check_url), the currently running version (key running_version), the latest release's version (key available_version) and the download URL (key download_url).

    Afterwards the program exists with an exit code of 0 if no newer release is available, with 1 if a newer release is available and with 2 if an error occured (e.g. if the update information could not be retrieved).

    This option is only available if the program was built with support for libcurl.

@options-file.json
    Reads additional command line arguments from the file options-file. For a full explanation on the supported formats for such files see the section called "Option files" in the mkvmerge(1) man page.

POZIOMY SZCZEGÓŁOWOŚCI

The -v option can be used to increase mkvinfo(1)'s verbosity level and print more information about the current file.

At level 0 mkvinfo(1) will print only the track headers it finds and their types. mkvinfo(1) will exit as soon as the headers are parsed completely (more technical: as soon as the first cluster is encountered). In this level the seek head entries and the cues will not be displayed -- even if they're located in front of the track information.

At level 1 mkvinfo(1) will also print all Matroska(TM) elements encountered for the complete file but the seek head entries and the cue entries. If the summary mode is enabled then mkvinfo(1) will output the frame position as well.

At level 2 mkvinfo(1) will also print the seek head entries, the cue entries and the file position at which each Matroska(TM) element can be found at.

At level 3 and above mkvinfo(1) will print some information that is not directly connected to a Matroska(TM) element. All other elements only print stuff about the elements that were just found. Level 3 adds meta information to ease debugging (read: it's intended for developers only). All lines written by level 3 are enclosed in square brackets to make filtering them out easy.

TEXT FILES AND CHARACTER SET CONVERSIONS

Dla głębszego zrozumienia jak wszystkie narzędzia w pakiecie MKVToolNix obsługują konwersję zestawu znaków, kodowanie wejściowe/wyjściowe, kodowanie linii komend i kodowanie konsoli, zobacz tak samo nazwane sekcje na stronie obsługi mkvmerge(1)

KODY ZAMKNIĘCIA

mkvinfo(1) exits with one of three exit codes:

    • 0 -- Ten kod zamknięcia oznacza, że praca została zakończona powodzeniem.

    • 1 -- In this case mkvinfo(1) has output at least one warning, but the run did continue. A warning is prefixed with the text 'Warning:'.

    • 2 -- This exit code is used after an error occurred. mkvinfo(1) aborts right after outputting the error message. Error messages range from wrong command line arguments over read/write errors to broken files.

ESCAPING SPECIAL CHARS IN TEXT

There are a few places in which special characters in text must or should be escaped. The rules for escaping are simple: each character that needs escaping is replaced with a backslash followed by another character.

The rules are: ' ' (a space) becomes '\s', '"' (double quotes) becomes '\2', ':' becomes '\c', '#' becomes '\h' and '\' (a single backslash) itself becomes '\\'.

ZMIENNE ŚRODOWISKOWE

mkvinfo(1) uses the default variables that determine the system's locale (e.g. LANG and the LC_* family). Additional variables:

MKVINFO_DEBUG, MKVTOOLNIX_DEBUG i jego skrócona forma MTX_DEBUG
    The content is treated as if it had been passed via the --debug option.

MKVINFO_ENGAGE, MKVTOOLNIX_ENGAGE i jego skrócona forma MTX_ENGAGE
    The content is treated as if it had been passed via the --engage option.

MKVINFO_OPTIONS, MKVTOOLNIX_OPTIONS i jego skrócona forma MTX_OPTIONS
    The content is split on white space. The resulting partial strings are treated as if it had been passed as command line options. If you need to pass special characters (e.g. spaces) then you have to escape them (see the section about escaping special characters in text).

ZOBACZ TAKŻE

mkvmerge(1), mkvextract(1), mkvpropedit(1), mkvtoolnix-gui(1)

STRONA WWW

The latest version can always be found at the MKVToolNix homepage[1].

AUTOR

Moritz Bunkus <moritz@bunkus.org>
    Autor

PRZYPISY

1.  the MKVToolNix homepage
    https://mkvtoolnix.download/